Virginia (VA) EVR API - Sandbox

Get customer info from state for EVR requests

Requests state information for EVR requests

post
https://api-test.vitu.com/national-public-api/v2/customer/lookup

Headers

x-on-behalf-of-userinteger(int64)

>= -9007199254740991<= 9007199254740991

Body

application/json

CustomerLookupDTO

locationIdinteger(int64)required

Id that represents dealer location in vitu. Provided by vitu, required

>= -9007199254740991<= 9007199254740991

Example:1

statestringrequired

Allowed values:AKALARAZCACOCTDCDEFLGAHIIAIDILINKSKYLAMAMDMEMIMNMOMSMTNCNDNENHNJNMNVNYOHOKORPARISCSDTNTXUTVAVTWAWIWVWY

<= 1048576 characters

Example:VA

searchBystringrequired

Allowed values:DriverLicenseNumberSsnNameBusinessLienholder

<= 1048576 characters

Example:DriverLicenseNumber

driverLicenseNumberstring

Indicates Customer’s driver license number.

Match pattern:^[\s\S]*$

<= 1048576 characters

Example:D1234567

firstNamestring

Indicates Customer’s first name.

Match pattern:^[\s\S]*$

<= 1048576 characters

Example:John

lastNamestring

Indicates Customer’s last name.

Match pattern:^[\s\S]*$

<= 1048576 characters

Example:Doe

dateOfBirthstring(date)

Indicates Customer’s date of birth.

<= 1048576 characters

Example:2024-03-15

ssnstring | null

Customer’s Social Security Number.

Match pattern:^[\s\S]*$

<= 1048576 characters

Example:123-45-6789

feinstring | null

Indicates the assigned FEIN; typically required of a business or other organization.

Match pattern:^[\s\S]*$

<= 1048576 characters

Example:12-3456789

businessNamestring

Indicates business name.

Match pattern:^[\s\S]*$

<= 1048576 characters

Example:Acme Auto Sales LLC

stateTransactionIdstring

State transaction identifier. Could be required, depending on state

Match pattern:^[\s\S]*$

<= 1048576 characters

Example:1234567

Response

application/json

OK

CustomerLookupResponseDTO

customersarray[object]

<= 100000 items

Show Child Parameters
post/customer/lookup

Body

{ "locationId": 1, "state": "VA", "searchBy": "DriverLicenseNumber" }
 
application/json

Get ownership info from state for EVR requests

Requests state information for EVR requests

post
https://api-test.vitu.com/national-public-api/v2/ownership/lookup

Headers

x-on-behalf-of-userinteger(int64)

>= -9007199254740991<= 9007199254740991

Body

application/json

OwnershipLookupDTO

locationIdinteger(int64)required

Id that represents dealer location in vitu. Provided by vitu, required

>= -9007199254740991<= 9007199254740991

Example:1

statestringrequired

Allowed values:AKALARAZCACOCTDCDEFLGAHIIAIDILINKSKYLAMAMDMEMIMNMOMSMTNCNDNENHNJNMNVNYOHOKORPARISCSDTNTXUTVAVTWAWIWVWY

<= 1048576 characters

Example:VA

stateTransactionIdstring

State transaction identifier. Might be required for some states

Match pattern:^[\s\S]*$

<= 1048576 characters

Example:1234567

stateCustomerIdstring

State customer identifier. Might be required for some states

Match pattern:^[\s\S]*$

<= 1048576 characters

Example:CUST-0099

vinstring

Indicates VIN for the vehicle for which lookup is being performed

Match pattern:^[\s\S]*$

<= 1048576 characters

Example:1HGCM82633A004352

searchBystring

Allowed values:VIN

<= 1048576 characters

Example:VIN

Response

application/json

OK

OwnershipLookupResponseDTO

ownershipsarray[object]

<= 100000 items

Show Child Parameters
post/ownership/lookup

Body

{ "locationId": 1, "state": "VA" }
 
application/json

TransactionTypeEnum

string

Allowed values:EVRINTERSTATEDMVDESKNTX

Default:INTERSTATE

<= 1048576 characters

Example

Errors

array

>= 1 items<= 100000 items

messagestringrequired

Description of error

Match pattern:^[\s\S]*$

<= 1048576 characters

Example:Request processed successfully

Error

messagestringrequired

Description of error

Match pattern:^[\s\S]*$

<= 1048576 characters

Example:Request processed successfully

Example